ReconfigurationServlet (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.conf, class: ReconfigurationServlet

Package org.apache.hadoop.conf

# Class ReconfigurationServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.hadoop.conf.ReconfigurationServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class ReconfigurationServlet extends javax.servlet.http.HttpServlet
A servlet for changing a node's configuration. Reloads the configuration file, verifies whether changes are possible and asks the admin to approve the change.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONF_SERVLET_RECONFIGURABLE_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReconfigurationServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
  `protected void`
  `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
  `void`
  `init()`

  ### Methods inherited from class javax.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

  ### Methods inherited from class javax.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONF_SERVLET_RECONFIGURABLE_PREFIX

    public static final String CONF_SERVLET_RECONFIGURABLE_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReconfigurationServlet

    public ReconfigurationServlet()

- ## Method Details

  - ### init

    public void init() throws javax.servlet.ServletException
    Overrides:
      `init` in class `javax.servlet.GenericServlet`
    Throws:
      `javax.servlet.ServletException`

  - ### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws javax.servlet.ServletException, IOException
    Overrides:
      `doGet` in class `javax.servlet.http.HttpServlet`
    Throws:
      `javax.servlet.ServletException`
      `IOException`

  - ### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp) throws javax.servlet.ServletException, IOException
    Overrides:
      `doPost` in class `javax.servlet.http.HttpServlet`
    Throws:
      `javax.servlet.ServletException`
      `IOException`